1. Download our Official Android App: Forums for Android!

whatsapp mytouch 4G tmobile

Discussion in 'Android Help' started by Android Question, Jan 16, 2014.

  1. Android Question

    Thread Starter
    Rank:
    None
    Posts:
    0
    Joined:

    I have a tmobile mytouch 4g. running a version of android 2.3.4; just got service with Tmobile. it will not let me download whatsapp because it says it isn't compatible with the device. i feel like this either has to be an error, or there must be a way around it. any advice would be very appreciated
     

    Advertisement

  2. Rukbat

    Rukbat Android Expert
    Rank:
    None
    Points:
    843
    Posts:
    10,392
    Joined:
    Jan 16, 2012

    Jan 16, 2012
    10,392
    2,894
    843
    Male
    Being retired and writing Tasker tasks.
    Fayetteville, NC, USA
    Evidently the developer didn't create a 2.3.4 version of the app, that version's been pulled or there never was a version compiled for the Mytouch.
     
  3. scary alien

    scary alien not really so scary
    Moderator
    Rank:
     #9
    Points:
    2,138
    Posts:
    22,282
    Joined:
    Mar 5, 2010

    Mar 5, 2010
    22,282
    23,573
    2,138
    Male
    space alien ;)
    Indy
    The Play Store link (https://play.google.com/store/apps/details?id=com.whatsapp) says that it's compatible with Android 2.1 and above, but there are often other factors such as screen size, density, etc. that the app is coded for which causes the app to be excluded for some devices.

    I see that my Nexus 7 tablet (4.4.2) cannot use the app, but my Droid X (2.3), GNex (4.2.2), and N5 (4.4.2) can.

    Contact the developer at WhatsApp :: Home or https://www.google.com/url?q=http://twitter.com/WhatsApp&sa=D&usg=AFQjCNGBaaHUeDzDvSx0kIT_i3yFZ-nz7A for additional questions and info.
     

Share This Page

Loading...